## heimdal 1.5~pre2+git20110804

=== debian/changelog ===
heimdal (1.5~pre2+git20110804-1ubuntu3) oneiric; urgency=low

  * Fix .so and .a symlinks in heimdal-dev. Closes: #640278, LP: #831164.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 Sep 2011 14:00:10 +0200

heimdal (1.5~pre2+git20110804-1ubuntu2) oneiric; urgency=low

  * Fix binary-arch only build.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 14:52:18 +0200

heimdal (1.5~pre2+git20110804-1ubuntu1) oneiric; urgency=low

  * Add missing include. LP: #825707.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 13 Aug 2011 13:25:23 +0200

heimdal (1.5~pre2+git20110804-1) experimental; urgency=low

  * New upstream snapshot.
  * Install mech.5 and login.access.8.
  * Install kdigest and gsstool in heimdal-clients.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 04 Aug 2011 02:14:09 +0200

heimdal (1.5~pre2+git20110729-2) experimental; urgency=low

  * Add support for multi-arch.
  * Use separate config file for debconf.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 31 Jul 2011 19:00:53 +0200

heimdal (1.5~pre2+git20110729-1) experimental; urgency=low

  * New upstream snapshot.
  * Switch to new style debhelper.
  * Add 033_lorikeet: some hdb improvements required by Samba 4.

 -- Jelmer Vernooij <jelmer@debian.org>  Fri, 29 Jul 2011 13:34:24 +0200

heimdal (1.5~pre2+git20110720-2) experimental; urgency=low

  * Fix dependency on pthreads when building on Linux 3.0.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 21 Jul 2011 17:40:58 +0200

heimdal (1.5~pre2+git20110720-1) experimental; urgency=low

  * New upstream snapshot.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 Jul 2011 19:31:02 +0200
