=== debian/control ===
Source: heimdal
Section: net
Priority: optional
Maintainer: Brian May <bam@debian.org>
Uploaders: Jelmer Vernooij <jelmer@debian.org>
Homepage: http://www.h5l.org/
Standards-Version: 3.9.2
Build-Depends: bison,
               comerr-dev (>= 1.41.11),
               debhelper (>= 8.1.3),
               dh-autoreconf,
               flex,
               libdb-dev,
               libedit-dev,
               libhesiod-dev,
               libldap2-dev,
               libncurses5-dev,
               libsqlite3-dev,
               libx11-dev,
               libxau-dev,
               libxt-dev,
               pkg-config,
               python,
               ss-dev,
               texinfo,
               x11proto-core-dev
Build-Conflicts: heimdal-dev

Package: heimdal-docs
Section: doc
Priority: extra
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info,
         ${misc:Depends}
Replaces: heimdal-lib (<< 0.3c-5),
          heimdal-servers (<< 0.6.3-3),
          libkrb5-15-heimdal
Conflicts: heimdal-lib (<< 0.3c-5)
Suggests: heimdal-clients,
          heimdal-clients-x,
          heimdal-servers,
          heimdal-servers-x
Description: Heimdal Kerberos - documentation
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes documentation (in info format) on how to
 use Heimdal, and relevant standards for Kerberos.

Package: heimdal-kdc
Priority: extra
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-3),
           heimdal-servers (<< 0.6.3-3),
           kerberos4kth-kdc,
           krb5-admin-server,
           krb5-kdc
Depends: debconf (>= 0.5.00) | debconf-2.0,
         heimdal-clients,
         krb5-config,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: logrotate
Replaces: heimdal-clients (<< 0.7.2-1),
          heimdal-servers (<< 0.4e-3)
Suggests: heimdal-docs
Description: Heimdal Kerberos - key distribution center (KDC)
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KDC (key distribution center) server,
 which is designed to run on a secure computer and keeps track
 of users' passwords. This is done using the Kerberos protocol in
 such a way that the server computers do not need to know the
 passwords.

Package: heimdal-multidev
Section: devel
Priority: extra
Architecture: any
Conflicts: heimdal-clients (<< 0.4e-7),
           kerberos4kth-dev
Depends: comerr-dev,
         libasn1-8-heimdal (= ${binary:Version}),
         libgssapi3-heimdal (= ${binary:Version}),
         libhcrypto4-heimdal (= ${binary:Version}),
         libhdb9-heimdal (= ${binary:Version}),
         libheimbase1-heimdal (= ${binary:Version}),
         libhx509-5-heimdal (= ${binary:Version}),
         libkadm5clnt7-heimdal (= ${binary:Version}),
         libkadm5srv8-heimdal (= ${binary:Version}),
         libkafs0-heimdal (= ${binary:Version}),
         libkdc2-heimdal (= ${binary:Version}),
         libkrb5-26-heimdal (= ${binary:Version}),
         libwind0-heimdal (= ${binary:Version}),
         ${misc:Depends}
Replaces: heimdal-clients (<< 0.4e-7)
Suggests: heimdal-docs
Description: Heimdal Kerberos - Multi-implementation Development
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package provides versions of the Heimdal development files that
 can be installed along-side MIT Kerberos development files.
 Normally, heimdal-dev should be used. However if a package needs to
 build  against both Heimdal Kerberos and MIT Kerberos, then the
 multidev package should be used.

Package: heimdal-dev
Depends: heimdal-multidev (= ${binary:Version}),
         ${misc:Depends}
Section: devel
Conflicts: libkrb5-dev
Priority: extra
Architecture: any
Description: Heimdal Kerberos - development files
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This is the development package, required for developing
 programs for Heimdal.

Package: heimdal-clients-x
Priority: extra
Architecture: any
Depends: heimdal-clients,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: heimdal-clients (<< 0.2l-2)
Conflicts: heimdal-clients (<< 0.2l-2),
           kerberos4kth-x11
Suggests: heimdal-docs
Description: Heimdal Kerberos - X11 client programs
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes Kerberos client programs for forwarding the X
 connection securely to a remote computer.

Package: heimdal-clients
Priority: extra
Architecture: any
Depends: krb5-config,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ftp (<< 0.16-1),
           heimdal-servers (<< 0.4e-7),
           kerberos4kth-clients,
           kerberos4kth-user,
           netstd,
           openafs-client (<< 1.2.2-3),
           otp,
           rsh-client (<< 0.16.1-1),
           ssltelnet,
           telnet (<< 0.17-1),
           telnet-ssl (<< 0.14.9-2)
Provides: ftp,
          rsh-client,
          telnet-client
Suggests: heimdal-docs,
          heimdal-kcm
Replaces: heimdal-servers (<< 0.6.3-12)
Description: Heimdal Kerberos - clients
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes Kerberos utilities like kadmin, kinit, kpasswd and
 klist. It also includes client programs like telnet and ftp that have been
 compiled with Kerberos support.

Package: heimdal-kcm
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - KCM daemon
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes the KCM daemon which can hold the credentials
 for all users in the system. Access control is done with Unix-like
 permissions. The daemon checks the access on all operations based on
 the UID and GID of the user. The tickets are renewed as long as is
 permitted by the KDC's policy.

Package: heimdal-servers-x
Priority: extra
Architecture: any
Conflicts: heimdal-servers (<< 0.2l-3),
           kerberos4kth-x11
Depends: heimdal-servers,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: heimdal-docs
Replaces: heimdal-servers (<< 0.2l-3)
Description: Heimdal Kerberos - X11 server programs
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes Kerberos server programs for forwarding the X
 connection securely from a remote computer.

Package: heimdal-servers
Priority: extra
Architecture: any
Depends: krb5-config,
         openbsd-inetd|inet-superserver,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: ftp-server,
           heimdal-clients (<< 0.2l-2),
           kerberos4kth-services,
           netstd,
           pop3-server,
           rsh-server,
           telnet-server,
           telnetd,
           telnetd-ssl,
           wu-ftpd-academ (<< 2.5.0)
Provides: ftp-server,
          pop3-server,
          rsh-server,
          telnet-server
Suggests: heimdal-docs
Replaces: heimdal-clients (<< 0.2l-2)
Description: Heimdal Kerberos - server programs
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package includes servers such as telnetd and ftpd that have been
 compiled with Heimdal support.

Package: heimdal-dbg
Priority: extra
Architecture: any
Section: debug
Depends: libkrb5-26-heimdal (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - key distribution center (KDC)
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the debugging symbols for all heimdal libraries.

Package: libheimbase1-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - Base library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the base library.

Package: libasn1-8-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - ASN.1 library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the ASN.1 parser required for Heimdal.

Package: libkrb5-26-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - libraries
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the Kerberos 5 library.

Package: libhdb9-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: heimdal-lib (<< 0.3e-5)
Conflicts: heimdal-libs (<< 0.3e-5)
Description: Heimdal Kerberos - kadmin server library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for storing the KDC database.

Package: libkadm5srv8-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Libraries for Heimdal Kerberos
 Heimdal is a free implementation of Kerberos 5, that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the server library for kadmin.

Package: libkadm5clnt7-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - kadmin client library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the client library for kadmin.

Package: libgssapi3-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Architecture: any
Conflicts: libgssapi3
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - GSSAPI support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for GSSAPI support.

Package: libkafs0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - KAFS support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for KAFS support.

Package: libroken18-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - roken support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for roken support.

Package: libotp0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Conflicts: libotp0-kerberos4kth
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Heimdal Kerberos - OTP support library
 Heimdal is a free implementation of Kerberos 5 that aims to be
 compatible with MIT Kerberos.
 .
 This package contains the library for OTP support.

Package: libsl0-heimdal
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libs
Priority: extra
Architecture: any
Conflicts: libsl0-kerberos4kth
Depends: ${misc:Depends},
         ${shlibs:Depends}
