## heimdal 1.5.dfsg.1

=== debian/changelog ===
heimdal (1.5.dfsg.1-3) unstable; urgency=low

  * Add conflicts with kcc to heimdal-clients. Closes: #644138

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 03 Oct 2011 23:50:05 +0200

heimdal (1.5.dfsg.1-2) unstable; urgency=low

  * Re-merge 1.4.0-1 through 1.4.0-8.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 01 Oct 2011 15:02:33 +0200

heimdal (1.5.dfsg.1-1) unstable; urgency=low

  * New upstream release.
  * Fix symbolic links in heimdal-dev. Closes: #640278
  * Add Vcs-Git header.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 21 Sep 2011 03:04:31 +0200

heimdal (1.5~pre2+git20110813-1) experimental; urgency=low

  * New upstream snapshot.
  * Cherry-pick binary-arch fix from Ubuntu. Thanks Matthias Klose.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 13 Aug 2011 18:22:32 +0200
