=== debian/control ===
--- 
+++ 
@@ -25,21 +25,18 @@
                texinfo,
                x11proto-core-dev
 Build-Conflicts: heimdal-dev
+Vcs-Git: git://git.debian.org/git/collab-maint/heimdal/
 
 Package: heimdal-docs
 Section: doc
 Priority: extra
 Architecture: all
-Depends: dpkg (>= 1.15.4) | install-info,
-         ${misc:Depends}
+Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
 Replaces: heimdal-lib (<< 0.3c-5),
           heimdal-servers (<< 0.6.3-3),
           libkrb5-15-heimdal
 Conflicts: heimdal-lib (<< 0.3c-5)
-Suggests: heimdal-clients,
-          heimdal-clients-x,
-          heimdal-servers,
-          heimdal-servers-x
+Suggests: heimdal-clients, heimdal-clients-x, heimdal-servers, heimdal-servers-x
 Description: Heimdal Kerberos - documentation
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -62,8 +59,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: logrotate
-Replaces: heimdal-clients (<< 0.7.2-1),
-          heimdal-servers (<< 0.4e-3)
+Replaces: heimdal-clients (<< 0.7.2-1), heimdal-servers (<< 0.4e-3)
 Suggests: heimdal-docs
 Description: Heimdal Kerberos - key distribution center (KDC)
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -79,8 +75,7 @@
 Section: devel
 Priority: extra
 Architecture: any
-Conflicts: heimdal-clients (<< 0.4e-7),
-           kerberos4kth-dev
+Conflicts: heimdal-clients (<< 0.4e-7), kerberos4kth-dev
 Depends: comerr-dev,
          libasn1-8-heimdal (= ${binary:Version}),
          libgssapi3-heimdal (= ${binary:Version}),
@@ -108,8 +103,7 @@
  multidev package should be used.
 
 Package: heimdal-dev
-Depends: heimdal-multidev (= ${binary:Version}),
-         ${misc:Depends}
+Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}
 Section: devel
 Conflicts: libkrb5-dev
 Priority: extra
@@ -124,12 +118,9 @@
 Package: heimdal-clients-x
 Priority: extra
 Architecture: any
-Depends: heimdal-clients,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: heimdal-clients, ${misc:Depends}, ${shlibs:Depends}
 Replaces: heimdal-clients (<< 0.2l-2)
-Conflicts: heimdal-clients (<< 0.2l-2),
-           kerberos4kth-x11
+Conflicts: heimdal-clients (<< 0.2l-2), kerberos4kth-x11
 Suggests: heimdal-docs
 Description: Heimdal Kerberos - X11 client programs
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -141,11 +132,10 @@
 Package: heimdal-clients
 Priority: extra
 Architecture: any
-Depends: krb5-config,
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends: krb5-config, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: ftp (<< 0.16-1),
            heimdal-servers (<< 0.4e-7),
+           kcc,
            kerberos4kth-clients,
            kerberos4kth-user,
            netstd,
@@ -155,11 +145,8 @@
            ssltelnet,
            telnet (<< 0.17-1),
            telnet-ssl (<< 0.14.9-2)
-Provides: ftp,
-          rsh-client,
-          telnet-client
-Suggests: heimdal-docs,
-          heimdal-kcm
+Provides: ftp, rsh-client, telnet-client
+Suggests: heimdal-docs, heimdal-kcm
 Replaces: heimdal-servers (<< 0.6.3-12)
 Description: Heimdal Kerberos - clients
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -172,8 +159,7 @@
 Package: heimdal-kcm
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - KCM daemon
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -187,8 +173,7 @@
 Package: heimdal-servers-x
 Priority: extra
 Architecture: any
-Conflicts: heimdal-servers (<< 0.2l-3),
-           kerberos4kth-x11
+Conflicts: heimdal-servers (<< 0.2l-3), kerberos4kth-x11
 Depends: heimdal-servers,
          openbsd-inetd|inet-superserver,
          ${misc:Depends},
@@ -219,10 +204,7 @@
            telnetd,
            telnetd-ssl,
            wu-ftpd-academ (<< 2.5.0)
-Provides: ftp-server,
-          pop3-server,
-          rsh-server,
-          telnet-server
+Provides: ftp-server, pop3-server, rsh-server, telnet-server
 Suggests: heimdal-docs
 Replaces: heimdal-clients (<< 0.2l-2)
 Description: Heimdal Kerberos - server programs
@@ -239,7 +221,7 @@
 Depends: libkrb5-26-heimdal (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
-Description: Heimdal Kerberos - key distribution center (KDC)
+Description: Heimdal Kerberos - debugging symbols
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
  .
@@ -250,8 +232,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - Base library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -263,8 +244,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - ASN.1 library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -276,8 +256,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - libraries
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -289,8 +268,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: heimdal-lib (<< 0.3e-5)
 Conflicts: heimdal-libs (<< 0.3e-5)
 Description: Heimdal Kerberos - kadmin server library
@@ -304,8 +282,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Libraries for Heimdal Kerberos
  Heimdal is a free implementation of Kerberos 5, that aims to be
  compatible with MIT Kerberos.
@@ -317,8 +294,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - kadmin client library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -331,8 +307,7 @@
 Section: libs
 Architecture: any
 Conflicts: libgssapi3
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - GSSAPI support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -345,8 +320,7 @@
 Section: libs
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - KAFS support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -359,8 +333,7 @@
 Section: libs
 Priority: extra
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - roken support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -374,8 +347,7 @@
 Priority: extra
 Architecture: any
 Conflicts: libotp0-kerberos4kth
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - OTP support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
  compatible with MIT Kerberos.
@@ -389,5 +361,13 @@
 Priority: extra
 Architecture: any
 Conflicts: libsl0-kerberos4kth
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Heimdal Kerberos - SL support library
+ Heimdal is a free implementation of Kerberos 5 that aims to be
+ compatible with MIT Kerberos.
+ .
+ This package contains the library for SL support.
+
+Package: libkdc2-heimdal
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
