=== debian/rules ===
--- 
+++ 
@@ -99,13 +99,14 @@
 	rm -f lib/wind/normalize_table.c
 	rm -f lib/wind/normalize_table.h
 	rm -f lib/wind/*.pyc
-	rm -f debian/heimdal-dev.links
 
 override_dh_install:
-	test -z "$(DESTDIR)/usr/share/info" || /bin/mkdir -p "$(DESTDIR)/usr/share/info"
+	/bin/mkdir -p "$(DESTDIR)/usr/share/info"
 	mkdir -p debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
-	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
-	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
+		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so \
+		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 	dh_install --sourcedir=$(DESTDIR) --list-missing
 	# remove conflicting files
 	rm -rf debian/heimdal-multidev/usr/include/heimdal/ss
@@ -117,26 +118,43 @@
 	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.a
 	# rewrite symlinks to symlinks to point directly to file
 	for l in debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.so; do \
-		ln -s  -f ../`readlink $$l` $$l ; \
+		ln -s -f ../`readlink $$l` $$l ; \
 		done
-	mv debian/heimdal-multidev/usr/bin/krb5-config debian/heimdal-multidev/usr/bin/krb5-config.heimdal
-	mv debian/heimdal-multidev/usr/share/man/man1/krb5-config.1 debian/heimdal-multidev/usr/share/man/man1/krb5-config.heimdal.1
+	mkdir -p debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal
+	for l in debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.so debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.a; do \
+		ln -s heimdal/`basename $$l` debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/`basename $$l`; \
+	done
+	mv debian/heimdal-multidev/usr/bin/krb5-config \
+	   debian/heimdal-multidev/usr/bin/krb5-config.heimdal
+	mv debian/heimdal-multidev/usr/share/man/man1/krb5-config.1 \
+	   debian/heimdal-multidev/usr/share/man/man1/krb5-config.heimdal.1
 	install -m644 debian/extras/default debian/heimdal-kdc/etc/default/heimdal-kdc
 	install -m644 lib/hdb/hdb.schema debian/heimdal-kdc/etc/ldap/schema/hdb.schema
 	mv debian/heimdal-clients/usr/bin/telnet debian/heimdal-clients/usr/bin/ktelnet
-	mv debian/heimdal-clients/usr/bin/ftp debian/heimdal-clients/usr/bin/kftp
-	mv debian/heimdal-clients/usr/share/man/man1/telnet.1 debian/heimdal-clients/usr/share/man/man1/ktelnet.1
-	mv debian/heimdal-clients/usr/share/man/man1/ftp.1 debian/heimdal-clients/usr/share/man/man1/kftp.1
-	mv debian/heimdal-clients/usr/bin/rsh debian/heimdal-clients/usr/bin/krsh
-	mv debian/heimdal-clients/usr/bin/rcp debian/heimdal-clients/usr/bin/krcp
-	mv debian/heimdal-clients/usr/bin/pagsh debian/heimdal-clients/usr/bin/kpagsh
+	mv debian/heimdal-clients/usr/bin/ftp \
+	   debian/heimdal-clients/usr/bin/kftp
+	mv debian/heimdal-clients/usr/share/man/man1/telnet.1 \
+	   debian/heimdal-clients/usr/share/man/man1/ktelnet.1
+	mv debian/heimdal-clients/usr/share/man/man1/ftp.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kftp.1
+	mv debian/heimdal-clients/usr/bin/rsh \
+	   debian/heimdal-clients/usr/bin/krsh
+	mv debian/heimdal-clients/usr/bin/rcp \
+	   debian/heimdal-clients/usr/bin/krcp
+	mv debian/heimdal-clients/usr/bin/pagsh \
+	   debian/heimdal-clients/usr/bin/kpagsh
 	mv debian/heimdal-clients/usr/bin/su debian/heimdal-clients/usr/bin/ksu
-	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 debian/heimdal-clients/usr/share/man/man1/krsh.1
-	mv debian/heimdal-clients/usr/share/man/man1/rcp.1 debian/heimdal-clients/usr/share/man/man1/krcp.1
-	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 debian/heimdal-clients/usr/share/man/man1/kpagsh.1
-	mv debian/heimdal-clients/usr/share/man/man1/su.1 debian/heimdal-clients/usr/share/man/man1/ksu.1
+	mv debian/heimdal-clients/usr/share/man/man1/rsh.1 \
+	   debian/heimdal-clients/usr/share/man/man1/krsh.1
+	mv debian/heimdal-clients/usr/share/man/man1/rcp.1 \
+	   debian/heimdal-clients/usr/share/man/man1/krcp.1
+	mv debian/heimdal-clients/usr/share/man/man1/pagsh.1 \
+	   debian/heimdal-clients/usr/share/man/man1/kpagsh.1
+	mv debian/heimdal-clients/usr/share/man/man1/su.1 \
+	   debian/heimdal-clients/usr/share/man/man1/ksu.1
 	if [ -d debian/heimdal-docs ]; then \
-	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal; \
+	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 \
+	   debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal; \
 	rm -f debian/heimdal-docs/usr/share/info/dir; \
 	fi
 	for l in `find $(DESTDIR)/usr/include -type d -printf "%P\n"`; do \
@@ -161,7 +179,5 @@
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/*.la
 	sed -i "s/libdir=\$${exec_prefix}\/lib\/heimdal/libdir=\$${exec_prefix}\/lib\/${DEB_HOST_MULTIARCH}\/heimdal/" debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/heimdal-gssapi.pc
 
-	sed 's/@multiarch@/$(DEB_HOST_MULTIARCH)/' debian/heimdal-dev.links.in > debian/heimdal-dev.links
-
 get-orig-source::
 	./debian/scripts/build-git-orig
