## heimdal 1.6~git20120311.dfsg.1

=== debian/changelog ===
heimdal (1.6~git20120311.dfsg.1-2) unstable; urgency=low

  * Remove unnecessary Priority: fields for binary packages.
  * Bump standards version to 3.9.3 (no changes).
  * Fix description of libwind0-heimdal package.
  * Update 041_hurd_maxhostnamelen to cover a few more uses of
    MAXHOSTNAMELEN. Fixes FTBFS on hurd-i386. Thanks, Pino Toscano.
    Closes: #666073

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Mar 2012 01:59:36 +0200

heimdal (1.6~git20120311.dfsg.1-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop 011_sharedlibs patch, now upstream.
  * Revert incorrect conflicts with kcc in heimdal-clients.
  * Make roken, hx509, heimntlm and wind libraries priority optional.
  * Rename kcc to heimtools, to avoid clashes with 'kcc' utility.
    Closes: #644138
  * Link with --as-needed to prevent unnecessary dependencies.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 14 Mar 2012 11:54:02 +0100
