=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: bison,
                comerr-dev (>= 1.41.11),
                debhelper (>= 8.1.3),
@@ -135,7 +135,6 @@
 Depends: krb5-config, ${misc:Depends}, ${shlibs:Depends}
 Conflicts: ftp (<< 0.16-1),
            heimdal-servers (<< 0.4e-7),
-           kcc,
            kerberos4kth-clients,
            kerberos4kth-user,
            netstd,
@@ -331,7 +330,6 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Priority: extra
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - roken support library
@@ -371,3 +369,5 @@
 Package: libkdc2-heimdal
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
+Section: libs
+Priority: extra
