=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,7 @@
 override_dh_auto_test:
 
 override_dh_auto_configure:
-	./configure --libexecdir="\$${prefix}/sbin" \
+	LDFLAGS=-Wl,--as-needed ./configure --libexecdir="\$${prefix}/sbin" \
 	  --enable-shared \
 	  --prefix=/usr \
 	  --includedir="\$${prefix}/include" \
