## heimdal 1.6~git20120403+dfsg1

=== debian/changelog ===
heimdal (1.6~git20120403+dfsg1-3ubuntu0.1) saucy; urgency=low

  * Add debian/patches/044_file_desc to prevent running out of file
    descriptors. LP: #1191704.

 -- Margarita Manterola <marga@google.com>  Wed, 21 Aug 2013 10:20:22 -0700

heimdal (1.6~git20120403+dfsg1-3) unstable; urgency=low

  * Move /usr/share/doc/heimdal-kdc/examples to
    /usr/share/heimdal-kdc. Closes: #710731.
  * Fix textinfo build errors. Closes: #711221.

 -- Brian May <bam@debian.org>  Mon, 03 Jun 2013 12:06:56 +1000

heimdal (1.6~git20120403+dfsg1-2) unstable; urgency=low

  * Enable libcap-ng-dev only on Linux. Fixes FTBFS on kfreebsd-* and
    hurd-*. Closes: #674923
  * Support extra configure flags through dpkg-buildflags, to (for
    example) enable hardened build flags. Thanks Moritz Muehlenhoff.
    Closes: 668022

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 30 May 2012 12:25:33 +0200

heimdal (1.6~git20120403+dfsg1-1) unstable; urgency=low

  * Fix typo in example kdc.conf section name. LP: #871635
  * New upstream snapshot.
   + Drop 040_hurd_pthread, now applied upstream.
   + Drop 043_hurd_ioctl, now applied upstream.
  * Add dependency on libcap-ng-dev, so KDC can drop privileges.
  * Build-Depend on libperl4-corelibs-perl for prototype script.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 03 May 2012 17:42:26 +0200
