=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Brian May <bam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
 Standards-Version: 3.9.3
@@ -10,11 +11,13 @@
                debhelper (>= 8.1.3),
                dh-autoreconf,
                flex,
+               libcap-ng-dev [linux-any],
                libdb-dev,
                libedit-dev,
                libhesiod-dev,
                libldap2-dev,
                libncurses5-dev,
+               libperl4-corelibs-perl,
                libsqlite3-dev,
                libx11-dev,
                libxau-dev,
@@ -362,12 +365,3 @@
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Heimdal Kerberos - SL support library
  Heimdal is a free implementation of Kerberos 5 that aims to be
- compatible with MIT Kerberos.
- .
- This package contains the library for SL support.
-
-Package: libkdc2-heimdal
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Section: libs
-Priority: extra
