=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-LDFLAGS += -Wl,--as-needed
+DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 %:
@@ -30,7 +30,8 @@
 override_dh_auto_test:
 
 override_dh_auto_configure:
-	LDFLAGS=-Wl,--as-needed ./configure --libexecdir="\$${prefix}/sbin" \
+	./configure $(shell dpkg-buildflags --export=configure) --libexecdir="\$${prefix}/sbin" \
+	  --enable-shared \
 	  --enable-shared \
 	  --prefix=/usr \
 	  --includedir="\$${prefix}/include" \
@@ -101,6 +102,9 @@
 	rm -f lib/wind/*.pyc
 
 override_dh_install:
+	/bin/mkdir -p debian/heimdal-kdc/usr/share/heimdal-kdc
+	cp debian/extras/kdc.conf debian/heimdal-kdc/usr/share/heimdal-kdc
+	cp debian/extras/kadmind.acl debian/heimdal-kdc/usr/share/heimdal-kdc
 	/bin/mkdir -p "$(DESTDIR)/usr/share/info"
 	mkdir -p debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.a \
@@ -177,7 +181,3 @@
 	rm -f debian/heimdal-dev/usr/lib/windc.la
 	# remove libtool recursive linking mess
 	sed -i "/dependency_libs/ s/'.*'/''/" debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/*.la
-	sed -i "s/libdir=\$${exec_prefix}\/lib\/heimdal/libdir=\$${exec_prefix}\/lib\/${DEB_HOST_MULTIARCH}\/heimdal/" debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/pkgconfig/heimdal-gssapi.pc
-
-get-orig-source::
-	./debian/scripts/build-git-orig
