## heimdal 1.6~git20131117+dfsg

=== debian/changelog ===
heimdal (1.6~git20131117+dfsg-3) unstable; urgency=low

  * Move generic .pc files from heimdal-multidev to heimdal-dev package
    to prevent conflicts with libkrb5-multidev. Closes: #730267
  * Rename login.1 to login.heimdal.1 to support installing together
    with login. Closes: #729946
  * Set random master key if no explicit password was specified. Closes:
    #730011

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 24 Nov 2013 14:59:33 +0000

heimdal (1.6~git20131117+dfsg-2) unstable; urgency=low

  * Move asn1_compile and asn1_print to heimdal-multidev, since they
    don't conflict with libkrb5-dev.
  * Add 043_hx509_heimbase: fixes use of hx509.h.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 20 Nov 2013 01:22:08 +0000

heimdal (1.6~git20131117+dfsg-1) unstable; urgency=low

  * New upstream snapshot.
   + Drop texinfo_5.1 and texinfo_b_5.1; applied upstream.
  * Install asn1_compile and asn1_print binaries in heimdal-dev.

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 17 Nov 2013 15:06:09 +0000

heimdal (1.6~git20120403+dfsg1-4) unstable; urgency=low

  * Fix broken symlinks. Closes: #715069.
    * heimdal-multidev depends on libotp0-heimdal and libsl0-heimdal.
    * remove windc symlinks.
  * Bump standards version to 3.9.4.

 -- Brian May <bam@debian.org>  Tue, 16 Jul 2013 09:25:53 +1000
