=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: heimdal
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Brian May <bam@debian.org>
+Maintainer: Brian May <bam@debian.org>
 Uploaders: Jelmer Vernooij <jelmer@debian.org>
 Homepage: http://www.h5l.org/
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Build-Depends: bison,
                comerr-dev (>= 1.41.11),
                debhelper (>= 8.1.3),
@@ -15,6 +14,7 @@
                libdb-dev,
                libedit-dev,
                libhesiod-dev,
+               libjson-perl,
                libldap2-dev,
                libncurses5-dev,
                libperl4-corelibs-perl,
@@ -92,8 +92,11 @@
          libkdc2-heimdal (= ${binary:Version}),
          libkrb5-26-heimdal (= ${binary:Version}),
          libwind0-heimdal (= ${binary:Version}),
-         ${misc:Depends}
-Replaces: heimdal-clients (<< 0.4e-7)
+         libotp0-heimdal (= ${binary:Version}),
+         libsl0-heimdal (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: heimdal-clients (<< 0.4e-7), heimdal-dev (<< 1.6~git20131117+dfsg-2)
 Suggests: heimdal-docs
 Description: Heimdal Kerberos - Multi-implementation Development
  Heimdal is a free implementation of Kerberos 5 that aims to be
@@ -106,7 +109,7 @@
  multidev package should be used.
 
 Package: heimdal-dev
-Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}
+Depends: heimdal-multidev (= ${binary:Version}), ${misc:Depends}, ${misc:Depends}
 Section: devel
 Conflicts: libkrb5-dev
 Priority: extra
@@ -363,5 +366,3 @@
 Architecture: any
 Conflicts: libsl0-kerberos4kth
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Heimdal Kerberos - SL support library
- Heimdal is a free implementation of Kerberos 5 that aims to be
