=== debian/rules ===
--- 
+++ 
@@ -30,7 +30,8 @@
 override_dh_auto_test:
 
 override_dh_auto_configure:
-	./configure $(shell dpkg-buildflags --export=configure) --libexecdir="\$${prefix}/sbin" \
+	./configure $(shell dpkg-buildflags --export=configure) \
+	  --libexecdir="\$${prefix}/sbin" \
 	  --enable-shared \
 	  --enable-shared \
 	  --prefix=/usr \
@@ -111,15 +112,20 @@
 		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 	mv $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so \
 		debian/heimdal-multidev/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
-	dh_install --sourcedir=$(DESTDIR) --list-missing
+	# remove general purpose utilities
+	rm -f $(DESTDIR)/usr/bin/bsearch \
+		  $(DESTDIR)/usr/bin/idn-lookup \
+		  $(DESTDIR)/usr/share/man/man1/bsearch.1 \
+		  $(DESTDIR)/usr/share/man/man1/idn-lookup.1
+	# remove unwanted files
+	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/windc.so*
+	rm -f $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/windc.a
+	# no translations for the moment
+	rm -rf $(DESTDIR)/usr/share/locale/sv_SE
+	dh_install --sourcedir=$(DESTDIR) --list-missing --fail-missing
 	# remove conflicting files
 	rm -rf debian/heimdal-multidev/usr/include/heimdal/ss
 	rm -f debian/heimdal-multidev/usr/include/heimdal/fnmatch.h
-	# remove unwanted files
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.a
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/libss.so
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.so
-	rm -f debian/heimdal-multidev/usr/lib/heimdal/windc.a
 	# rewrite symlinks to symlinks to point directly to file
 	for l in debian/heimdal-multidev/usr/lib/${DEB_HOST_MULTIARCH}/heimdal/*.so; do \
 		ln -s -f ../`readlink $$l` $$l ; \
@@ -156,6 +162,8 @@
 	   debian/heimdal-clients/usr/share/man/man1/kpagsh.1
 	mv debian/heimdal-clients/usr/share/man/man1/su.1 \
 	   debian/heimdal-clients/usr/share/man/man1/ksu.1
+	mv debian/heimdal-servers/usr/share/man/man1/login.1 \
+	   debian/heimdal-servers/usr/share/man/man1/login.heimdal.1
 	if [ -d debian/heimdal-docs ]; then \
 	mv debian/heimdal-docs/usr/share/man/man5/krb5.conf.5 \
 	   debian/heimdal-docs/usr/share/man/man5/krb5.conf.5heimdal; \
@@ -176,8 +184,3 @@
 	rm -f debian/heimdal-dev/usr/include/fnmatch.h
 	# remove unwanted files
 	rm -f debian/heimdal-dev/usr/lib/libss.a
-	rm -f debian/heimdal-dev/usr/lib/libss.la
-	rm -f debian/heimdal-dev/usr/lib/libss.so
-	rm -f debian/heimdal-dev/usr/lib/windc.la
-	# remove libtool recursive linking mess
-	sed -i "/dependency_libs/ s/'.*'/''/" debian/heimdal-dev/usr/lib/${DEB_HOST_MULTIARCH}/*.la
